petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecStepMax

Returns the largest value so that x[i] + step*DX[i] >= 0 for all i

### Synopsis

    #include "petscvec.h"
    PetscErrorCode VecStepMax(Vec X, Vec DX, PetscReal *step)

Collective on Vec Many br

### Input Parameters

| X | - vector with no negative entries Many br
| DX | - a step direction, can have negative, positive or zero entries Many br

### Output Parameter

step -largest value such that x[i] + step*DX[i] >= 0 for all i Many br

Many br

Level:advanced
Location:src/vec/vec/utils/projection.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages